1. richardib's Avatar
    i bought a used iphone 3g..its working fine so far,still im trying to load it over using the 3.1.2 firmware which is currently on it. But when i try loading it, it keeps saying that its not compatible with my phones firmware,please help and tell me how i can go about loading over the 3.1.2 firmware.
    2010-05-19 08:23 AM
  2. mavrik101's Avatar
    Make sure you're using the correct firmware. Sounds like you're trying to load 3gs firmware.
    2010-05-20 09:10 AM
  3. madczech's Avatar
    the problem is that the Apple Server doesn't sign the 3.1.2 fw anymore... so you won't be able to restore to 3.1.2...

    You've now got 2 options:

    1. Upgrade with a custom 3.1.3 Fw

    2. Restore with help of a local verification server (which is a bit more complicated and you will need to have your ECDID and SHSH file backed up, if you don't have the don't even try.) --> Check This also works for 3g

    But I would suggest that you upgrade using snowbreeze (windows) or pwnage (os x) to 3.1.3

    hope this helped
    I don't give a damn about Chuck Norris, Spongebob can grill under water!

    2010-05-20 10:09 AM
  4. richardib's Avatar
    thank you so much
    2010-05-21 04:03 PM
LINK TO POST COPIED TO CLIPBOARD